Debian Bug report logs - #652469
PAE support

Package: src:kfreebsd-9; Maintainer for src:kfreebsd-9 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Sat, 17 Dec 2011 11:15:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652448; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 11:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 12:09:47 +0100
Package: kfreebsd-image-9.0-0-686
Version: 9.0~svn228246-1
Severity: important

kfreebsd-image-9.0-0-686 (and most likely all IA32 flavours that don't use PAE)
panics when booting on a machine with 4 GiB of RAM (or more).

Possible ways out of this:

- Enable PAE for all flavours. There are major drawbacks, see:
  http://www.freebsd.org/doc/handbook/kernelconfig-config.html

- Add additional flavours (which ones? 686, 686-smp ... ? and then which
  ones to provide with D-I?)

- Fail gracefuly and prompt user to either remove RAM or use AMD64 version

Please comment!

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-9.0-0-686 depends on:
ii  freebsd-utils                 8.1-5      FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-5      tools for managing kFreeBSD module

Versions of packages kfreebsd-image-9.0-0-686 recommends:
pn  libc0.1-i686                  <none>     (no description available)

kfreebsd-image-9.0-0-686 suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652448; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 13:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 13:00:16 GMT) Full text and rfc822 format available.

Message #10 received at 652448@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 652448@bugs.debian.org
Subject: Re: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 13:51:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

On 17.12.2011 12:09, Robert Millan wrote:
> - Add additional flavours (which ones? 686, 686-smp ... ? and then
> which ones to provide with D-I?)

That's what we're doing on Linux and that seems the best compromise. On
Linux there are many different kernel flavors where it is being worked
on to reduce their amount. I propose -486 for older PCs and 686-pae for
newer PCs. See [1] on more discussion about the minimal required processor.

I am not sure if FreeBSD has drawbacks to use a SMP flavored kernel on a
traditional legacy system with one CPU only. If yes there perhaps should
be a -smp version for each too.

Generally it seems an upstream bug to me though if the kernel crashes on
such a system. Regarding D-I I guess there is no easy way to tell in
advance whether the system needs a PAE kernel or not, and the fact the
wrong choice crashes does not make it any more easy to choose a kernel.

> - Fail gracefuly and prompt user to either remove RAM or use AMD64
> version

Is it really safe to assume every system with more than 4G RAM supports
the long mode for sure?


[1] <1321742531.2885.227.camel@deadeye>

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO7JBuAAoJEMcrUe6dgPNtI5wQALIVcImtSc40RWWa397EIP1E
C2rqUq/HvSyYLb1R4nOj4y4oo5FQKPKiqQJPl21VuKid9I+jv1Zpn0kdc2UlWdTt
ldHOBu16IMv+bluP4ta6UDWLcBU+h44JpRo0j1IfvPBKttvP5mvFvZwRp2Yooxnu
557PQx5lytmPrOh12Xmem2Ax/BhzPSX/eNyYXh3pL11lJHP8GF6/qyeDothvR58A
8HL7lyj17YkuFWe+1yIkPY78iTedtXQcXzDCcqa6d7z6sKfKuwIqqv1HeIxWeMRO
S4ve348KWuymmRTVOc3tlStiKSnbMpa+sRaQZfa/xRT6dyg/IL0GDiasR+u1JTya
flsA7QqVhIlw/l8JuBid3LmfrUdw+DNSqUP9BajoKAwHR2weYwblkaOZlONEXv18
eWRAyxncMoyXzCVuuoDRZWFYI+H/d/ST1BRwf/mra7VUgoAfaZFacYVaZOdd0HnT
pDx+BPSvvcjAJIukO5D+NtpiuZzb8j3MyT/lflnRmFmL4T/W4LL+DkzFNqs9eDus
gxutKg4qbM67IIH5Q5oA+SKcmAibFw7qLl18ll4yqcT2hpMN2ipKYKIYdqVMtcsq
uaL8zi8uHRg2f07Y71gIjbpg0urqBPbC9u2myFspQD2VGOQEITnIQ7lAtkh+q7H7
mr6RjpGKLmpPgWo9Nzwp
=4/CO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652448; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 13:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 13:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 652448@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 652448@bugs.debian.org
Subject: Re: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 14:49:48 +0100
El 17 de desembre de 2011 12:09, Robert Millan <rmh@debian.org> ha escrit:
> kfreebsd-image-9.0-0-686 (and most likely all IA32 flavours that don't use PAE)
> panics when booting on a machine with 4 GiB of RAM (or more).

It seems that this problem only happens when mfsroot is being used.
Otherwise the extra RAM is safely discarded.

Also, it is reproducible on FreeBSD as well, so I've forwarded it to
upstream (http://www.freebsd.org/cgi/query-pr.cgi?pr=163410)

-- 
Robert Millan




Set Bug forwarded-to-address to 'http://www.freebsd.org/cgi/query-pr.cgi?pr=163410'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 13:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652448; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 14:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 652448@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>, 652448@bugs.debian.org
Subject: Re: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 15:08:57 +0100
clone 652448 -1
severity -1 wishlist
retitle -1 PAE support
thanks

Hi Arno,

I'm sorry, this is my fault but when I read your reply I notice I
actually lumped together two different issues:

#1- An important usability bug: kernel panics instead of just
discarding unusable RAM.

#2- Lack of PAE feature which would allow using all the available RAM
instead of discarding some.

I'm cloning this bug so we can have separate discussion about the
benefits of enabling PAE without cluttering the panic bug with
irrelevant information.

-- 
Robert Millan




Bug 652448 cloned as bug 652469. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 14:12:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 14:12:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'PAE support' from 'panic when booting on a machine with >= 4 GiB of RAM' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 17 Dec 2011 14:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 14:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 14:51:08 GMT) Full text and rfc822 format available.

Message #33 received at 652469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>, 652469@bugs.debian.org
Subject: Re: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 15:49:21 +0100
El 17 de desembre de 2011 13:51, Arno Töll <debian@toell.net> ha escrit:
> On 17.12.2011 12:09, Robert Millan wrote:
>> - Add additional flavours (which ones? 686, 686-smp ... ? and then
>> which ones to provide with D-I?)
>
> That's what we're doing on Linux and that seems the best compromise.

I think on GNU/Linux many people want to use IA32 version even with
CPUs that support AMD mode, because they want IA32 userland for binary
compatibility with non-free software.  I'm not sure how relevant is
this factor but it is unexistant on GNU/kFreeBSD, so I think this
should be accounted for when taking Linux as reference.

Another likely difference is that kFreeBSD in PAE mode has major
drawbacks (in particular we'd have to disable a bunch of drivers, see
sys/i386/conf/PAE and URL I pasted before). All in all, I have the
impression that using PAE would be unacceptable for the majority of
i686 users.

> On Linux there are many different kernel flavors where it is being worked
> on to reduce their amount. I propose -486 for older PCs and 686-pae for
> newer PCs. See [1] on more discussion about the minimal required processor.
>
> I am not sure if FreeBSD has drawbacks to use a SMP flavored kernel on a
> traditional legacy system with one CPU only. If yes there perhaps should
> be a -smp version for each too.

Good question.  TBH I really dislike adding new flavours for PAE
unless SMP is merged.  Then we'd only have to replace 686-smp with
686-pae instead of adding two new flavours.

I don't know if SMP option is really usable on uniprocessor hardware.
FWIW, I've tested -smp flavours for 8.3 and 9.0 on an uniprocessor VM
and both seem to work fine.

Maybe we should discuss this with FreeBSD? We could even propose them
to make SMP the default there.

> Regarding D-I I guess there is no easy way to tell in
> advance whether the system needs a PAE kernel or not,

Given that a PAE kernel has important drawbacks (like disabling a lot
of drivers), I'd rather leave it to the user to explicitly install
those kernels after a normal kFreeBSD is running.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 15:15:05 GMT) Full text and rfc822 format available.

Message #38 received at 652469@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 652469@bugs.debian.org
Subject: Fwd: Re: Bug#652469: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 16:12:27 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Forward to  652469@bugs.debian.org I forgot, sorry.

- -------- Original Message --------

On 17.12.2011 15:49, Robert Millan wrote:
> I'm not sure how relevant is
> this factor but it is unexistant on GNU/kFreeBSD, so I think this
> should be accounted for when taking Linux as reference.

More or less unexisting. The very same candidates that would cause one
to remain on a IA32 user land because of non-free cruft on Linux mostly
also holds FreeBSD as it is typically the very same software people want
to run through the Linux emulation layer. Think of Flash and Google
Earth for example. That said I have no use for kfreebsd on a desktop and
I hence didn't try any of those programs under kfreebsd so far.

> Another likely difference is that kFreeBSD in PAE mode has major
> drawbacks (in particular we'd have to disable a bunch of drivers, see
> sys/i386/conf/PAE and URL I pasted before). All in all, I have the
> impression that using PAE would be unacceptable for the majority of
> i686 users.

That on the other hand is a good rationale not to use PAE. However, if
you read the discussion I noted there is no significant performance
improvement [on Linux] to use i686 over i486. Thus, users of 686 capable
CPUs may happily use the 486 branch, whereas people who need PAE need
686 anyway.

> Good question.  TBH I really dislike adding new flavours for PAE
> unless SMP is merged.  Then we'd only have to replace 686-smp with
> 686-pae instead of adding two new flavours.

We're not freezing tomorrow, maybe consider waiting for upstream
regarding SMP support upstream.

> I don't know if SMP option is really usable on uniprocessor hardware.
> FWIW, I've tested -smp flavours for 8.3 and 9.0 on an uniprocessor VM
> and both seem to work fine.

I would hope it is usable. If it weren't that would certainly be a bug
in the SMP code. However, there might be design decisions that make SMP
slower on uniprocessor hardware (or not - I don't know as said).

> Maybe we should discuss this with FreeBSD? We could even propose them
> to make SMP the default there.

That makes sense, yes. In particular I guess we shouldn't be inventing
use cases which aren't supported in such a configuration upstream either.

> Given that a PAE kernel has important drawbacks (like disabling a lot
> of drivers), I'd rather leave it to the user to explicitly install
> those kernels after a normal kFreeBSD is running.

I wrote that under the impression that such a kernel would crash on
systems with more than 4G RAM. That would leave people without
possibility to install kfreebsd. If that's sorted out, i.e. the bug has
been fixed I am for a non PAE kernel too. I do not think there would be
any benefit to use >= 4G RAM in the context of D-I.



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO7LFbAAoJEMcrUe6dgPNtMjQP/ArffA1pH++cbXkYrYKtDuWr
gSE/lPpPE8039iEfMIwlma3GE47YxYSf41L57dSfThnZ2nBtTMbt7QDuG+g1dEca
s9a5tuIf0QmruwNeiOkhFmxnowPbwmfrORGLS69caJYjc85pjfVQJD56NnB50pcO
j8fkr4DyqvG8wqzzSmkkOutaSHkwUm3UbZaemchA2OYlaP20NbhVzkGj9Ze36Nnx
2mYSj8F2XvwzlYwhUqT9puJlSfWCgeWYXQmoGw1+yo8rudkEN7aApUsrADUc4wi6
jP5TxykGtVoZm0Nd0q/+gPhBoddevQZs0afaXGUpltdGxXdw0SjdNWuQfLbqdxtF
q6CwTiSEevIirf7+Tqaqo60GVScWr6fwGMw5SnU98FC9lElDUJokN2/DWzeTfBW0
duwyC7lGqOlKeIzCbRYj/KOJDOEh7uT5kBXcD/Em18hBzC86ypjQZeYDOTrhJ+Jp
FNkjoQ+iGC9l1hC/sUWkEsSgX0MDFMGv8RAJ4kp42MAZZb4zl+6keDsU4L3/pgBA
Zc1Vlm9YmxkjAwqDD4NZWsUGsL8T2AgiZXO9oYU3Whgk2jfhStqq/d5hBmwOzbvy
hgx4dtGpdgsmfaaMts+uw66D0cHh6cag0w6WE0QgnXUhayW/yAVSZJpU7dS0NVIS
4gdTDnXPmAmF9TH+qWDr
=E/Ed
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Sat, 17 Dec 2011 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Tomasz Napierała <trasz@FreeBSD.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Dec 2011 20:27:06 GMT) Full text and rfc822 format available.

Message #43 received at 652469@bugs.debian.org (full text, mbox):

From: Edward Tomasz Napierała <trasz@FreeBSD.org>
To: Arno Töll <debian@toell.net>, 652469@bugs.debian.org
Subject: Re: Bug#652469: Fwd: Re: Bug#652469: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sat, 17 Dec 2011 21:23:03 +0100
Wiadomość napisana przez Arno Töll w dniu 17 gru 2011, o godz. 16:12:
>> Maybe we should discuss this with FreeBSD? We could even propose them
>> to make SMP the default there.

SMP has been enabled in the the default FreeBSD kernel (GENERIC)
for quite some time now.

-- 
If you cut off my head, what would I say?  Me and my head, or me and my body?





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Sun, 18 Dec 2011 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 18 Dec 2011 02:30:03 GMT) Full text and rfc822 format available.

Message #48 received at 652469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Edward Tomasz Napierała <trasz@freebsd.org>, 652469@bugs.debian.org
Cc: Arno Töll <debian@toell.net>
Subject: Re: Bug#652469: Fwd: Re: Bug#652469: Bug#652448: panic when booting on a machine with >= 4 GiB of RAM
Date: Sun, 18 Dec 2011 03:26:36 +0100
El 17 de desembre de 2011 21:23, Edward Tomasz Napierała
<trasz@freebsd.org> ha escrit:
> Wiadomość napisana przez Arno Töll w dniu 17 gru 2011, o godz. 16:12:
>>> Maybe we should discuss this with FreeBSD? We could even propose them
>>> to make SMP the default there.
>
> SMP has been enabled in the the default FreeBSD kernel (GENERIC)
> for quite some time now.

Oh, sorry, I've been looking at the patched file in Debian (we remove
it from GENERIC and add it back via debian/arch/).  Thanks for
correcting me.

In that case, how about:

- Add SMP for all flavours
- Replace -smp flavour with -pae flavour

?

-- 
Robert Millan




Unset Bug forwarded-to-address Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 18 Dec 2011 12:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Sun, 18 Dec 2011 16:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 18 Dec 2011 16:39:08 GMT) Full text and rfc822 format available.

Message #55 received at 652469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Edward Tomasz Napierała <trasz@freebsd.org>, 652469@bugs.debian.org
Cc: Arno Töll <debian@toell.net>
Subject: PAE support
Date: Sun, 18 Dec 2011 17:36:07 +0100
Hi,

I've merged SMP support into -686 flavour.  However enabling PAE is a
bit more complicated as it seems that external modules aren't
supported at all, and without modules I have serious doubts that it
will be useful (for example this breaks ZFS support).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#652469; Package kfreebsd-image-9.0-0-686. (Wed, 04 Jul 2012 15:45:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Wed, 04 Jul 2012 15:45:25 GMT) Full text and rfc822 format available.

Message #60 received at 652469@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 652469@bugs.debian.org, 652448@bugs.debian.org, 630783@bugs.debian.org, 631613@bugs.debian.org, 652469-submitter@bugs.debian.org, 652448-submitter@bugs.debian.org, 630783-submitter@bugs.debian.org, 631613-submitter@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Reassigning orphan bugs to existing packages
Date: Wed, 4 Jul 2012 16:44:07 +0100
reassign 652469 kfreebsd-image-686 9.0~svn228246-1
reassign 652448 kfreebsd-image-686 9.0~svn228246-1
reassign 630783 kfreebsd-image-amd64 9.0~svn223109-0.1
reassign 631613 kfreebsd-image-amd64 8.2-3
stop

Hi,

I am reassigning these orphan bugs (no maintainer, their package was
removed from the archive) to the closest existing packages that I
could find.

Please make sure that they are still valid, that they are now assigned
to the correct package.

Cheers.




Bug reassigned from package 'kfreebsd-image-9.0-0-686' to 'kfreebsd-image-686'. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 15:45:28 GMT) Full text and rfc822 format available.

No longer marked as found in versions kfreebsd-9/9.0~svn228246-1. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 15:45:29 GMT) Full text and rfc822 format available.

Marked as found in versions 9.0~svn228246-1. Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 15:45:30 GMT) Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@debian.org>:
Bug#652469. (Wed, 04 Jul 2012 15:45:55 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#652469; Package kfreebsd-image-686. (Thu, 05 Jul 2012 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 18:27:08 GMT) Full text and rfc822 format available.

Message #74 received at 652469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 652469-quiet@bugs.debian.org
Cc: 652469@bugs.debian.org, 652448@bugs.debian.org, 630783@bugs.debian.org, 631613@bugs.debian.org, 652469-submitter@bugs.debian.org, 652448-submitter@bugs.debian.org, 630783-submitter@bugs.debian.org, 631613-submitter@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#652469: Reassigning orphan bugs to existing packages
Date: Thu, 5 Jul 2012 20:25:26 +0200
reassign 652469 kfreebsd-image-9.0-1-686 9.0~svn228246-1
reassign 652448 kfreebsd-image-9.0-1-686 9.0~svn228246-1
reassign 630783 kfreebsd-image-9.0-1-amd64 9.0~svn223109-0.1
reassign 631613 kfreebsd-image-8.3-1-amd64 8.2-3
thanks

Hi,

2012/7/4 Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>:
> I am reassigning these orphan bugs (no maintainer, their package was
> removed from the archive) to the closest existing packages that I
> could find.
>
> Please make sure that they are still valid, that they are now assigned
> to the correct package.

The kfreebsd-image-686 one is a meta-package, I'm reassigning those.

Thanks

-- 
Robert Millan




Bug reassigned from package 'kfreebsd-image-686' to 'kfreebsd-image-9.0-1-686'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 18:27:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions 9.0~svn228246-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 18:27:12 GMT) Full text and rfc822 format available.

Marked as found in versions 9.0~svn228246-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 18:27:13 GMT) Full text and rfc822 format available.

Information stored :
Bug#652469; Package kfreebsd-image-9.0-1-686. (Thu, 05 Jul 2012 18:27:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 05 Jul 2012 18:27:20 GMT) Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@debian.org>:
Bug#652469. (Thu, 05 Jul 2012 18:27:27 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-image-9.0-1-686' to 'src:kfreebsd-9'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 23 Aug 2013 12:51:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions 9.0~svn228246-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 23 Aug 2013 12:51:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:27:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.